/**
 * Adobe Helium: symbol definitions
 */
window.symbols = {
"stage": {
   version: "0.1",
   baseState: "Base State",
   initialState: "Base State",
   parameters: {

   },
   content: {
      dom: [
        {
            id:'SVGImage1',
            type:'image',
            rect:[0,0,100,94],
            fill:['rgba(0,0,0,0)','images/noun_project_182.svg'],
        },
        {
            id:'Text1',
            type:'text',
            rect:[127,72,0,0],
            text:"Adobe Edge test animation",
            align:"center",
            font:["Arial Black, Gadget, sans-serif",24,"rgba(0,0,0,1)","normal","none",""],
        },
      ],
      symbolInstances: [
      ],
   },
   states: {
      "Base State": {
         "#stage": [
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "height", '280px'],
            ["style", "width", '320px']
         ],
         "#SVGImage1": [
            ["style", "-webkit-transform-origin", [50,47],{valueTemplate:'@@0@@% @@1@@%'}],
            ["style", "-moz-transform-origin", [50,47],{valueTemplate:'@@0@@% @@1@@%'}],
            ["style", "-ms-transform-origin", [50,47],{valueTemplate:'@@0@@% @@1@@%'}],
            ["style", "msTransformOrigin", [50,47],{valueTemplate:'@@0@@% @@1@@%'}],
            ["style", "-o-transform-origin", [50,47],{valueTemplate:'@@0@@% @@1@@%'}],
            ["transform", "translateX", '99.0703px'],
            ["transform", "rotateZ", '0deg'],
            ["style", "height", '94px'],
            ["transform", "translateY", '93.50781px'],
            ["style", "width", '100px']
         ],
         "#Text1": [
            ["transform", "translateX", '-118.70314px'],
            ["style", "text-align", 'center'],
            ["style", "height", '37.0703125px'],
            ["style", "font-size", '18px'],
            ["transform", "translateY", '-48.96095px'],
            ["style", "width", '308.921875px']
         ]
      }
   },
   actions: {

   },
   bindings: [

   ],
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 3000,
         timeline: [
            { id: "eid108", tween: [ "style", "#Text1", "height", '37.0703125px', { valueTemplate: undefined, fromValue: '37.0703125px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid6", tween: [ "style", "#SVGImage1", "height", '94px', { valueTemplate: undefined, fromValue: '94px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid115", tween: [ "style", "#stage", "height", '280px', { valueTemplate: undefined, fromValue: '280px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid20", tween: [ "style", "#SVGImage1", "-webkit-transform-origin", [50,47], { valueTemplate: '@@0@@% @@1@@%', fromValue: [50,47]}], position: 0, duration: 0, easing: "linear" },
            { id: "eid116", tween: [ "style", "#SVGImage1", "-moz-transform-origin", [50,47], { valueTemplate: '@@0@@% @@1@@%', fromValue: [50,47]}], position: 0, duration: 0, easing: "linear" },
            { id: "eid117", tween: [ "style", "#SVGImage1", "-ms-transform-origin", [50,47], { valueTemplate: '@@0@@% @@1@@%', fromValue: [50,47]}], position: 0, duration: 0, easing: "linear" },
            { id: "eid118", tween: [ "style", "#SVGImage1", "msTransformOrigin", [50,47], { valueTemplate: '@@0@@% @@1@@%', fromValue: [50,47]}], position: 0, duration: 0, easing: "linear" },
            { id: "eid119", tween: [ "style", "#SVGImage1", "-o-transform-origin", [50,47], { valueTemplate: '@@0@@% @@1@@%', fromValue: [50,47]}], position: 0, duration: 0, easing: "linear" },
            { id: "eid111", tween: [ "transform", "#SVGImage1", "translateY", '93.50781px', { valueTemplate: undefined, fromValue: '93.50781px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid110", tween: [ "transform", "#SVGImage1", "translateX", '99.0703px', { valueTemplate: undefined, fromValue: '99.0703px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid103", tween: [ "style", "#Text1", "font-size", '18px', { valueTemplate: undefined, fromValue: '18px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid39", tween: [ "transform", "#SVGImage1", "rotateZ", '360deg', { valueTemplate: undefined, fromValue: '0deg'}], position: 0, duration: 3000, easing: "linear" },
            { id: "eid5", tween: [ "style", "#SVGImage1", "width", '100px', { valueTemplate: undefined, fromValue: '100px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid106", tween: [ "transform", "#Text1", "translateX", '-118.70314px', { valueTemplate: undefined, fromValue: '-118.70314px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid107", tween: [ "transform", "#Text1", "translateY", '-48.96095px', { valueTemplate: undefined, fromValue: '-48.96095px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid109", tween: [ "style", "#Text1", "width", '308.921875px', { valueTemplate: undefined, fromValue: '308.921875px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid114", tween: [ "style", "#stage", "width", '320px', { valueTemplate: undefined, fromValue: '320px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid25", tween: [ "style", "#SVGImage1", "msTransformOrigin", '50% 47%', { valueTemplate: undefined, fromValue: '50% 47%'}], position: 0, duration: 0, easing: "linear" }]
      }
   },
}};

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     $.Edge.initialize(symbols);
});
/**
 * Adobe Edge Timeline Launch
 */
$(window).load(function() {
    $.Edge.play();
});
